petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMPlexCellRefinerGetAffineTransforms

Gets the affine map from the reference cell to each subcell

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCellRefinerGetAffineTransforms(DMPlexCellRefiner cr, DMPolytopeType ct, PetscInt *Nc, PetscReal *v0[], PetscReal *J[], PetscReal *invJ[])

### Input Parameters

| cr | - The DMPlexCellRefiner object
| ct | - The cell type

### Output Parameters

| Nc | - The number of subcells produced from this cell type
| v0 | - The translation of the first vertex for each subcell
| J | - The Jacobian for each subcell (map from reference cell to subcell)
| invJ | - The inverse Jacobian for each subcell

### See Also

DMPlexCellRefinerGetAffineFaceTransforms(), Create()

### Level

developer

### Location

src/dm/impls/plex/plexrefine.c

### Implementations

DMPlexCellRefinerGetAffineTransforms_Regular in src/dm/impls/plex/plexrefine.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages